Skip to main content
GET
/
v3
/
evals
/
experiments
/
{experiment_id}
/
metrics
Get Experiment Metrics
curl --request GET \
  --url https://{host}/v3/evals/experiments/{experiment_id}/metrics \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "total_evaluators": 3,
    "total_items": 50,
    "evaluators": [
      {
        "evaluator_name": "coherence",
        "count": 50,
        "error_count": 2,
        "mean": 0.762,
        "histogram": [
          {
            "low": 0,
            "high": 0.1,
            "count": 12,
            "mean": 0.053,
            "stddev": 0.028
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

experiment_id
string<uuid>
required

Path parameter for unique identifier of an experiment

Response

Aggregate metrics per evaluator for the experiment

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
Experiment Metrics Response · object

Aggregate metrics for all evaluators in an experiment.